Attribute VB_Name = "Module1"
'/////////////////////////////////////////////////////////////////////
'// OPOS "ResultCode" Property Constants
'/////////////////////////////////////////////////////////////////////

Public Const OPOS_SUCCESS = 0
Public Const OPOS_E_CLOSED = 101
Public Const OPOS_E_CLAIMED = 102
Public Const OPOS_E_NOTCLAIMED = 103
Public Const OPOS_E_NOSERVICE = 104
Public Const OPOS_E_DISABLED = 105
Public Const OPOS_E_ILLEGAL = 106
Public Const OPOS_E_NOHARDWARE = 107
Public Const OPOS_E_OFFLINE = 108
Public Const OPOS_E_NOEXIST = 109
Public Const OPOS_E_EXISTS = 110
Public Const OPOS_E_FAILURE = 111
Public Const OPOS_E_TIMEOUT = 112
Public Const OPOS_E_BUSY = 113
Public Const OPOS_E_EXTENDED = 114

Public Const OPOSERR = 100     ' Base for ResultCode errors.
Public Const OPOSERREXT = 200  ' Base for ResultCodeExtendedErrors.

'/////////////////////////////////////////////////////////////////////
'// OPOS "BinaryConversion" Property Constants
'/////////////////////////////////////////////////////////////////////

Public Const OPOS_BC_NONE = 0
Public Const OPOS_BC_NIBBLE = 1
Public Const OPOS_BC_DECIMAL = 2


'''''''''''''''''''''''''''''''''''/
'' Printer Station Public Constants
'''''''''''''''''''''''''''''''''''/

Public Const PTR_S_JOURNAL = 1
Public Const PTR_S_RECEIPT = 2
Public Const PTR_S_SLIP = 4

Public Const PTR_S_JOURNAL_RECEIPT = &H3
Public Const PTR_S_JOURNAL_SLIP = &H5
Public Const PTR_S_RECEIPT_SLIP = &H6

Public Const PTR_TWO_RECEIPT_JOURNAL = &H8003
Public Const PTR_TWO_SLIP_JOURNAL = &H8005
Public Const PTR_TWO_SLIP_RECEIPT = &H8006


'''''''''''''''''''''''''''''''''''/
'' "CapCharacterSet" Property Public Constants
'''''''''''''''''''''''''''''''''''/

Public Const PTR_CCS_ALPHA = 1
Public Const PTR_CCS_ASCII = 998
Public Const PTR_CCS_KANA = 10
Public Const PTR_CCS_KANJI = 11
Public Const PTR_CCS_UNICODE = 997


'''''''''''''''''''''''''''''''''''/
'' "CharacterSet" Property Public Constants
'''''''''''''''''''''''''''''''''''/

Public Const PTR_CS_UNICODE = 997
Public Const PTR_CS_ASCII = 998
Public Const PTR_CS_WINDOWS = 999


'''''''''''''''''''''''''''''''''''/
'' "ErrorLevel" Property Public Constants
'''''''''''''''''''''''''''''''''''/

Public Const PTR_EL_NONE = 1
Public Const PTR_EL_RECOVERABLE = 2
Public Const PTR_EL_FATAL = 3


'''''''''''''''''''''''''''''''''''/
'' "MapMode" Property Public Constants
'''''''''''''''''''''''''''''''''''/

Public Const PTR_MM_DOTS = 1
Public Const PTR_MM_TWIPS = 2
Public Const PTR_MM_ENGLISH = 3
Public Const PTR_MM_METRIC = 4


'''''''''''''''''''''''''''''''''''/
'' "CapXxxColor" Property Public Constants
'''''''''''''''''''''''''''''''''''/

Public Const PTR_COLOR_PRIMARY = &H1
Public Const PTR_COLOR_CUSTOM1 = &H2
Public Const PTR_COLOR_CUSTOM2 = &H4
Public Const PTR_COLOR_CUSTOM3 = &H8
Public Const PTR_COLOR_CUSTOM4 = &H10
Public Const PTR_COLOR_CUSTOM5 = &H20
Public Const PTR_COLOR_CUSTOM6 = &H40
Public Const PTR_COLOR_CYAN = &H100
Public Const PTR_COLOR_MAGENTA = &H200
Public Const PTR_COLOR_YELLOW = &H400
Public Const PTR_COLOR_FULL = &H80000000


'''''''''''''''''''''''''''''''''''/
'' "CapXxxCartridgeSensor" and  "XxxCartridgeState" Property Public Constants
'''''''''''''''''''''''''''''''''''/

Public Const PTR_CART_UNKNOWN = &H10000000
Public Const PTR_CART_OK = &H0
Public Const PTR_CART_REMOVED = &H1
Public Const PTR_CART_EMPTY = &H2
Public Const PTR_CART_NEAREND = &H4
Public Const PTR_CART_CLEANING = &H8


'''''''''''''''''''''''''''''''''''/
'' "CartridgeNotify"  Property Public Constants
'''''''''''''''''''''''''''''''''''/

Public Const PTR_CN_DISABLED = &H0
Public Const PTR_CN_ENABLED = &H1


'''''''''''''''''''''''''''''''''''/
'' "CutPaper" Method Public Constant
'''''''''''''''''''''''''''''''''''/

Public Const PTR_CP_FULLCUT = 100


'''''''''''''''''''''''''''''''''''/
'' "PrintBarCode" Method Public Constants:
'''''''''''''''''''''''''''''''''''/
'
''   "Alignment" Parameter
''     Either the distance from the left-most print column to the start
''     of the bar code, or one of the following:

Public Const PTR_BC_LEFT = -1
Public Const PTR_BC_CENTER = -2
Public Const PTR_BC_RIGHT = -3

''   "TextPosition" Parameter

Public Const PTR_BC_TEXT_NONE = -11
Public Const PTR_BC_TEXT_ABOVE = -12
Public Const PTR_BC_TEXT_BELOW = -13

''   "Symbology" Parameter:

'     One dimensional symbologies
Public Const PTR_BCS_UPCA = 101           ' Digits
Public Const PTR_BCS_UPCE = 102           ' Digits
Public Const PTR_BCS_JAN8 = 103           ' = EAN 8
Public Const PTR_BCS_EAN8 = 103           ' = JAN 8 (added in 1.2)
Public Const PTR_BCS_JAN13 = 104          ' = EAN 13
Public Const PTR_BCS_EAN13 = 104          ' = JAN 13 (added in 1.2)
Public Const PTR_BCS_TF = 105             ' (Discrete 2 of 5) Digits
Public Const PTR_BCS_ITF = 106            ' (Interleaved 2 of 5) Digits
Public Const PTR_BCS_Codabar = 107        ' Digits, -, $, :, /, ., +
                                        '   4 start/stop characters
                                        '   (a, b, c, d)
Public Const PTR_BCS_Code39 = 108         ' Alpha, Digits, Space, -, .,
                                        '   $, /, +, % start/stop (*)
                                        ' Also has Full ASCII feature
Public Const PTR_BCS_Code93 = 109         ' Same characters as Code 39
Public Const PTR_BCS_Code128 = 110        ' 128 data characters
''        (The following were added in Release 1.2)
Public Const PTR_BCS_UPCA_S = 111         ' UPC-A with supplemental
                                        '   barcode
Public Const PTR_BCS_UPCE_S = 112         ' UPC-E with supplemental
                                        '   barcode
Public Const PTR_BCS_UPCD1 = 113          ' UPC-D1
Public Const PTR_BCS_UPCD2 = 114          ' UPC-D2
Public Const PTR_BCS_UPCD3 = 115          ' UPC-D3
Public Const PTR_BCS_UPCD4 = 116          ' UPC-D4
Public Const PTR_BCS_UPCD5 = 117          ' UPC-D5
Public Const PTR_BCS_EAN8_S = 118         ' EAN 8 with supplemental
                                        '   barcode
Public Const PTR_BCS_EAN13_S = 119        ' EAN 13 with supplemental
                                        '   barcode
Public Const PTR_BCS_EAN128 = 120         ' EAN 128
Public Const PTR_BCS_OCRA = 121           ' OCR "A"
Public Const PTR_BCS_OCRB = 122           ' OCR "B"


''     Two dimensional symbologies
Public Const PTR_BCS_PDF417 = 201
Public Const PTR_BCS_MAXICODE = 202

''     Start of Printer-Specific bar code symbologies
Public Const PTR_BCS_OTHER = 501


''''''''''''''''''''''''''''''''''/
' "PrintBitmap" Method Public Constants:
''''''''''''''''''''''''''''''''''/

'   "Width" Parameter
'     Either bitmap width or:

Public Const PTR_BM_ASIS = -11            ' One pixel per printer dot

'   "Alignment" Parameter
'     Either the distance from the left-most print column to the start
'     of the bitmap, or one of the following:

Public Const PTR_BM_LEFT = -1
Public Const PTR_BM_CENTER = -2
Public Const PTR_BM_RIGHT = -3


''''''''''''''''''''''''''''''''''/
' "RotatePrint" Method: "Rotation" Parameter Public Constants
' "RotateSpecial" Property Public Constants
''''''''''''''''''''''''''''''''''/

Public Const PTR_RP_NORMAL = &H1
Public Const PTR_RP_RIGHT90 = &H101
Public Const PTR_RP_LEFT90 = &H102
Public Const PTR_RP_ROTATE180 = &H103


''''''''''''''''''''''''''''''''''/
' "SetLogo" Method: "Location" Parameter Public Constants
''''''''''''''''''''''''''''''''''/

Public Const PTR_L_TOP = 1
Public Const PTR_L_BOTTOM = 2


''''''''''''''''''''''''''''''''''/
' "TransactionPrint" Method: "Control" Parameter Public Constants
''''''''''''''''''''''''''''''''''/

Public Const PTR_TP_TRANSACTION = 11
Public Const PTR_TP_NORMAL = 12


''''''''''''''''''''''''''''''''''/
' "MarkFeed" Method: "Type" Parameter Public Constants
' "CapRecMarkFeed" Property Public Constants
''''''''''''''''''''''''''''''''''/

Public Const PTR_MF_TO_TAKEUP = 1
Public Const PTR_MF_TO_CUTTER = 2
Public Const PTR_MF_TO_CURRENT_TOF = 4
Public Const PTR_MF_TO_NEXT_TOF = 8


''''''''''''''''''''''''''''''''''/
' "ChangePrintSide" Method: "Side" Parameter Public Constants
''''''''''''''''''''''''''''''''''/

Public Const PTR_PS_UNKNOWN = 0
Public Const PTR_PS_SIDE1 = 1
Public Const PTR_PS_SIDE2 = 2
Public Const PTR_PS_OPPOSITE = 3


''''''''''''''''''''''''''''''''''/
' "StatusUpdateEvent" Event: "Data" Parameter Public Constants
''''''''''''''''''''''''''''''''''/

Public Const PTR_SUE_COVER_OPEN = 11
Public Const PTR_SUE_COVER_OK = 12

Public Const PTR_SUE_JRN_EMPTY = 21
Public Const PTR_SUE_JRN_NEAREMPTY = 22
Public Const PTR_SUE_JRN_PAPEROK = 23

Public Const PTR_SUE_REC_EMPTY = 24
Public Const PTR_SUE_REC_NEAREMPTY = 25
Public Const PTR_SUE_REC_PAPEROK = 26

Public Const PTR_SUE_SLP_EMPTY = 27
Public Const PTR_SUE_SLP_NEAREMPTY = 28
Public Const PTR_SUE_SLP_PAPEROK = 29

Public Const PTR_SUE_JRN_CARTRIDGE_EMPTY = 41
Public Const PTR_SUE_JRN_CARTRIDGE_NEAREMPTY = 42
Public Const PTR_SUE_JRN_HEAD_CLEANING = 43
Public Const PTR_SUE_JRN_CARTRIDGE_OK = 44

Public Const PTR_SUE_REC_CARTRIDGE_EMPTY = 45
Public Const PTR_SUE_REC_CARTRIDGE_NEAREMPTY = 46
Public Const PTR_SUE_REC_HEAD_CLEANING = 47
Public Const PTR_SUE_REC_CARTRIDGE_OK = 48

Public Const PTR_SUE_SLP_CARTRIDGE_EMPTY = 49
Public Const PTR_SUE_SLP_CARTRIDGE_NEAREMPTY = 50
Public Const PTR_SUE_SLP_HEAD_CLEANING = 51
Public Const PTR_SUE_SLP_CARTRIDGE_OK = 52

Public Const PTR_SUE_IDLE = 1001

Public Const OPOS_SUE_POWER_ONLINE = 2001
Public Const OPOS_SUE_POWER_OFF = 2002
Public Const OPOS_SUE_POWER_OFFLINE = 2003
Public Const OPOS_SUE_POWER_OFF_OFFLINE = 2004


''''''''''''''''''''''''''''''''''/
' "ResultCodeExtended" Property Public Constants
''''''''''''''''''''''''''''''''''/

Public Const OPOS_EPTR_COVER_OPEN = 201             ' (Several)
Public Const OPOS_EPTR_JRN_EMPTY = 202              ' (Several)
Public Const OPOS_EPTR_REC_EMPTY = 203              ' (Several)
Public Const OPOS_EPTR_SLP_EMPTY = 204              ' (Several)
Public Const OPOS_EPTR_SLP_FORM = 205               ' EndRemoval
Public Const OPOS_EPTR_TOOBIG = 206                 ' PrintBitmap
Public Const OPOS_EPTR_BADFORMAT = 207              ' PrintBitmap
Public Const OPOS_EPTR_JRN_CARTRIDGE_REMOVED = 208  ' (Several)
Public Const OPOS_EPTR_JRN_CARTRIDGE_EMPTY = 209    ' (Several)
Public Const OPOS_EPTR_JRN_HEAD_CLEANING = 210      ' (Several)
Public Const OPOS_EPTR_REC_CARTRIDGE_REMOVED = 211  ' (Several)
Public Const OPOS_EPTR_REC_CARTRIDGE_EMPTY = 212    ' (Several)
Public Const OPOS_EPTR_REC_HEAD_CLEANING = 213      ' (Several)
Public Const OPOS_EPTR_SLP_CARTRIDGE_REMOVED = 214  ' (Several)
Public Const OPOS_EPTR_SLP_CARTRIDGE_EMPTY = 215    ' (Several)
Public Const OPOS_EPTR_SLP_HEAD_CLEANING = 216      ' (Several)
